org.apache.jmeter.protocol.jms.sampler.render

## Interface MessageRenderer<T>

All Known Implementing Classes:
  MapMessageRenderer

    public interface MessageRenderer<T>

### Method Summary

All Methods Instance Methods Abstract Methods
`T` `getValueFromFile(String filename, String encoding, boolean hasVariable, com.github.benmanes.caffeine.cache.Cache<Object,Object> cache)` Read text from file, eventually replace variables, then convert it.
`T` `getValueFromText(String text)` Convert text to expected type

### Method Detail

#### getValueFromText

    T getValueFromText(String text)

Convert text to expected type

Parameters:
  `text` - Text representing the type
Returns:
  the constructed object

#### getValueFromFile

    T getValueFromFile(String filename,
                       String encoding,
                       boolean hasVariable,
                       com.github.benmanes.caffeine.cache.Cache<Object,Object> cache)

Read text from file, eventually replace variables, then convert it. Cached content depends if variabilisation is active or not.

Parameters:
  `filename` - name of the file to get the value from
  `encoding` - encoding of the file
  `hasVariable` - flag, whether variables inside the value should be replaced
  `cache` - Cache in which the raw values will be stored/read from
Returns:
  the constructed object